import parse from "parse-author";
async function readPackageAuthor(getPackageDataFull) {
  const packageData = await getPackageDataFull();
  let packageAuthor;
  let packageEmail;
  if (typeof packageData.author === "string") {
    const parsedAuthor = parse(packageData.author);
    packageAuthor = parsedAuthor.name;
    packageEmail = parsedAuthor.email;
  } else if (packageData.author) {
    packageAuthor = packageData.author.name;
    packageEmail = packageData.author.email;
  }
  return {
    author: packageAuthor,
    email: packageEmail
  };
}
export {
  readPackageAuthor
};
